#ifndef CPUSHBUTTONTIME_H
#define CPUSHBUTTONTIME_H

#include <QWidget>
#include <QImage>
#include <qobjectdefs.h>

namespace Ui {
class CPushButtonTime;
}

class CPushButtonTime : public QWidget
{
    Q_OBJECT

public:
    explicit CPushButtonTime(QWidget *parent = nullptr);
    ~CPushButtonTime();

    /* 设置文本 */
    void setText(const QString &text);
    /* 获取文本 */
    QString getText() const;
    /* 设置图标 */
    void setIcon(const QImage &icon);

signals:
    /* 按钮被点击 */
    void signal_buttonClicked();

private slots:


protected:
    /* 事件过滤器 */
    bool eventFilter(QObject *watched, QEvent *event) override;

private:
    Ui::CPushButtonTime *ui;
};

#endif // CPUSHBUTTONTIME_H
