﻿#include "acaserversetinfo.h"
#include "setinfomanager.h"

SetInfoManager g_managerObj;

int DoInit(const stInitData* pData)
{
    if(pData == nullptr)
    {
        return -1; // 参数错误
    }
    g_managerObj.Init(pData);
    return 0;
}

int DoCreateWindow(int nSkinType, QWidget* parent)
{
    return g_managerObj.CreateWindow(nSkinType, parent);
}

int DoShowWindow(int nSkinType, int nServiceID, bool bShowWindow)
{
    return g_managerObj.ShowWindow(nSkinType, nServiceID, bShowWindow);
}

int DoGetChangedData(QString& strData)
{
    return 0;
}

int DoSave(int nServiceID)
{
    return 0;
}

int DoRelease()
{
    g_managerObj.Release();
    return 0;
}
