#ifndef CALENDARHEADER_H
#define CALENDARHEADER_H

#include <QWidget>

namespace Ui {
class CalendarHeader;
}

class CalendarHeader : public QWidget
{
    Q_OBJECT
    
public:
    explicit CalendarHeader(QWidget *parent = nullptr);
    ~CalendarHeader() override;
    void SetFirstDayOfWeek(Qt::DayOfWeek dayOfWeek);
    
    /* 设置QSS */
    void setQSS(int style);

public slots:

    
private:
    Ui::CalendarHeader *ui;
    const QList<QString> km_listWeeks = {"一","二","三","四","五","六","日"};
protected:
    void paintEvent(QPaintEvent *) override;
};

#endif // CALENDARHEADER_H
