#include "scopeselectionmodel.h"

ScopeSelectionModel::ScopeSelectionModel(QObject *parent)
    : QObject(parent)
    , bLocked(false)
{
    
}

void ScopeSelectionModel::Clear()
{
    dtFirst = QDate();
    dtSecond = QDate();
    bLocked = false;
}

void ScopeSelectionModel::Update()
{
    emit sig_Update();
}

void ScopeSelectionModel::Locked()
{
    QDate from = qMin(dtFirst, dtSecond);
    QDate to = qMax(dtFirst, dtSecond);
    emit sig_ScopeSelected(from, to);
}

//void DateScopeModel::Lock(const QDate &date)
//{
//    if(bLocked || !dtFirst.isValid()) return;
//    dtSecond = date;
//    bLocked = true;
//}
