#ifndef DATESCOPEMODEL_H
#define DATESCOPEMODEL_H

#include <QDateTime>
#include <QObject>

class ScopeSelectionModel : public QObject
{
    Q_OBJECT
public:
    explicit ScopeSelectionModel(QObject *parent = nullptr);
    void Clear();
    void Update();
    void Locked();
signals:
    void sig_Update();
    void sig_ScopeSelected(const QDate &from, const QDate &to);
    //void Lock(const QDate &date);
public:
    //QPair<QDate, QDate> m_pairDateScope;    //鼠标移动时的范围指示, key和value都是Qdate类型, 但是不一定哪个较大
    QDate dtFirst;
    QDate dtSecond;
    bool bLocked;
};

#endif // DATESCOPEMODEL_H
