#include "widget.h"
#include "ui_widget.h"

#include <QLayout>
#include <QVBoxLayout>

#include "spdlog/spdlog.h"
#include "entities.h"
// #include "setinfowidget.h"


Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    this->setStyleSheet(R"(background-color: rgb(255, 255, 255);)");

    QVBoxLayout *layout = new QVBoxLayout(this);
    layout->setContentsMargins(16, 16, 16, 16);
    layout->setSpacing(8);
    this->setLayout(layout);

    stInitData initData;
    initData.strWebAddr = "http://192.1.3.133:31000/v6/";
    initData.strDBID = "cf6b57fa3d9841e22c3c897e6b8e66b8";
    m_setInfoManager = new SetInfoManager(this);
    m_setInfoManager->Init(&initData);
    m_setInfoManager->CreateWindow(0, this);
    m_setInfoManager->ShowWindow(1, 1, true);

    // DoInit(&initData);
    // DoCreateWindow(0, this);
    // DoShowWindow(1, 1, true);

    // SetInfoWidget *setInfoWidget = new SetInfoWidget(this);
    // layout->addWidget(setInfoWidget);

}

Widget::~Widget()
{
    delete ui;
}
