QT += gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TEMPLATE = lib
DEFINES += ACASERVERSETINFO_LIBRARY

CONFIG += c++11 plugin

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    DataBase/entities.cpp \
    Modules/AICompare/aicomparewidget.cpp \
    Modules/Basic/basicwidget.cpp \
    Modules/Basic/compareitemdialog.cpp \
    Modules/Basic/compareitemlistdialog.cpp \
    Modules/Basic/compareitmedetaildialog.cpp \
    Modules/Basic/singlecompareroadwidget.cpp \
    Modules/CheckPeriod/addperioddialog.cpp \
    Modules/CheckPeriod/checkperiodwidget.cpp \
    Modules/Database/databasewidget.cpp \
    Modules/Noise/noisemonitorparamdialog.cpp \
    Modules/Noise/noisewidget.cpp \
    acaserversetinfo.cpp \
    setinfomanager.cpp \
    setinfowidget.cpp

HEADERS += \
    DataBase/entities.h \
    Modules/AICompare/aicomparewidget.h \
    Modules/Basic/basicwidget.h \
    Modules/Basic/compareitemdialog.h \
    Modules/Basic/compareitemlistdialog.h \
    Modules/Basic/compareitmedetaildialog.h \
    Modules/Basic/singlecompareroadwidget.h \
    Modules/CheckPeriod/addperioddialog.h \
    Modules/CheckPeriod/checkperiodwidget.h \
    Modules/Database/databasewidget.h \
    Modules/Noise/noisemonitorparamdialog.h \
    Modules/Noise/noisewidget.h \
    acaserversetinfo.h \
    setinfomanager.h \
    setinfowidget.h

# Default rules for deployment.
unix {
    target.path = /usr/lib
}
!isEmpty(target.path): INSTALLS += target

FORMS += \
    Modules/AICompare/aicomparewidget.ui \
    Modules/Basic/basicwidget.ui \
    Modules/Basic/compareitemdialog.ui \
    Modules/Basic/compareitemlistdialog.ui \
    Modules/Basic/compareitmedetaildialog.ui \
    Modules/Basic/singlecompareroadwidget.ui \
    Modules/CheckPeriod/addperioddialog.ui \
    Modules/CheckPeriod/checkperiodwidget.ui \
    Modules/Database/databasewidget.ui \
    Modules/Noise/noisemonitorparamdialog.ui \
    Modules/Noise/noisewidget.ui \
    setinfowidget.ui

RESOURCES += \
    Resources/Resources.qrc
