#ifndef AICOMPAREWIDGET_H
#define AICOMPAREWIDGET_H

#include <QWidget>
#include "spdlog/spdlog.h"

class FromWebAPI;

namespace Ui {
class AICompareWidget;
}

class AICompareWidget : public QWidget
{
    Q_OBJECT

public:
    explicit AICompareWidget(QWidget *parent = nullptr);
    ~AICompareWidget();

    /* 设置Webapi指针 */
    void setWebAPI(FromWebAPI* webApi) { m_fromWebAPI = webApi; }
    /* 保存配置项 */
    bool saveConfig();

private slots:
    
    

private:
    Ui::AICompareWidget *ui;

    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    FromWebAPI* m_fromWebAPI = nullptr;

};

#endif // AICOMPAREWIDGET_H
