#ifndef SETINFOWIDGET_H
#define SETINFOWIDGET_H


#include "FromWebAPI.h"

#include <QWidget>


namespace Ui {
class SetInfoWidget;
}

class SetInfoWidget : public QWidget
{
    Q_OBJECT

public:
    explicit SetInfoWidget(QWidget *parent = nullptr);
    ~SetInfoWidget();

    /* 设置WebAPI */
    void setWebAPI(FromWebAPI* api);

private slots:
    /* 保存按钮 */
    void do_pBtn_save_clicked();
    /* 取消按钮 */
    void do_pBtn_cancel_clicked();

    /* 切换了页面 */
    void do_tabWidget_currentChanged(int index);

private:
    /* 保存数据 */
    void saveData();



private:
    Ui::SetInfoWidget *ui;

    FromWebAPI* m_fromWebAPI = nullptr; // 用于从Web API获取数据
};

#endif // SETINFOWIDGET_H
